<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets">
    <head>
       <meta charset="UTF-8"></meta>
        <title>Grid | Coco - Responsive Bootstrap Admin Template</title>   
        <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />
        <meta name="apple-mobile-web-app-capable" content="yes" />
        <meta name="description" content=""/>
        <meta name="keywords" content="coco bootstrap template, coco admin, bootstrap,admin template, bootstrap admin,"/>
        <meta name="author" content="Huban Creative"/>

        <!-- Base Css Files -->
        <link href="assets/libs/jqueryui/ui-lightness/jquery-ui-1.10.4.custom.min.css" rel="stylesheet" />
        <link href="assets/libs/bootstrap/css/bootstrap.min.css" rel="stylesheet" />
        <link href="assets/libs/font-awesome/css/font-awesome.min.css" rel="stylesheet" />
        <link href="assets/libs/fontello/css/fontello.css" rel="stylesheet" />
        <link href="assets/libs/animate-css/animate.min.css" rel="stylesheet" />
        <link href="assets/libs/nifty-modal/css/component.css" rel="stylesheet" />
        <link href="assets/libs/magnific-popup/magnific-popup.css" rel="stylesheet" /> 
        <link href="assets/libs/ios7-switch/ios7-switch.css" rel="stylesheet" /> 
        <link href="assets/libs/pace/pace.css" rel="stylesheet" />
        <link href="assets/libs/sortable/sortable-theme-bootstrap.css" rel="stylesheet" />
        <link href="assets/libs/bootstrap-datepicker/css/datepicker.css" rel="stylesheet" />
        <link href="assets/libs/jquery-icheck/skins/all.css" rel="stylesheet" />
        <link href="assets/libs/jquery-notifyjs/styles/metro/notify-metro.css" rel="stylesheet" type="text/css" />
        <link type="text/css" href="assets/libs/jqueryui/ui-lightness/jquery-ui-1.10.4.custom.min.css" rel="stylesheet" />
        <link type="text/css" href="assets/libs/bootstrap/css/bootstrap.min.css" rel="stylesheet" />
        <link type="text/css" href="assets/libs/font-awesome/css/font-awesome.min.css" rel="stylesheet" />
        <link type="text/css" href="assets/libs/fontello/css/fontello.css" rel="stylesheet" />
        <link type="text/css" href="assets/libs/animate-css/animate.min.css" rel="stylesheet" />
        <link type="text/css" href="assets/libs/nifty-modal/css/component.css" rel="stylesheet" />
        <link type="text/css" href="assets/libs/magnific-popup/magnific-popup.css" rel="stylesheet" /> 
        <link type="text/css" href="assets/libs/ios7-switch/ios7-switch.css" rel="stylesheet" /> 
        <link type="text/css" href="assets/libs/pace/pace.css" rel="stylesheet" />
        <link type="text/css" href="assets/libs/sortable/sortable-theme-bootstrap.css" rel="stylesheet" />
        <link type="text/css" href="assets/libs/bootstrap-datepicker/css/datepicker.css" rel="stylesheet" />
        <link type="text/css" href="assets/libs/jquery-icheck/skins/all.css" rel="stylesheet" />
       
        
        <!-- Code Highlighter for Demo -->
        <link href="assets/libs/prettify/github.css" rel="stylesheet" />
        
                <!-- Extra CSS Libraries Start -->
                <link href="assets/css/style.css" rel="stylesheet" type="text/css" />
                <!-- Extra CSS Libraries End -->
        <link href="assets/css/style-responsive.css" rel="stylesheet" />

        <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
        <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.3.0/respond.min.js"></script>
        <![endif]-->

        <link  rel="shortcut icon" href="assets/img/favicon.ico"/>
        <link rel="apple-touch-icon" href="assets/img/apple-touch-icon.png" />
        <h:link  rel="apple-touch-icon" sizes="57x57" href="assets/img/apple-touch-icon-57x57.png" />
        <h:link rel="apple-touch-icon" sizes="72x72" href="assets/img/apple-touch-icon-72x72.png" />
        <h:link rel="apple-touch-icon" sizes="76x76" href="assets/img/apple-touch-icon-76x76.png" />
        <h:link rel="apple-touch-icon" sizes="114x114" href="assets/img/apple-touch-icon-114x114.png" />
        <h:link rel="apple-touch-icon" sizes="120x120" href="assets/img/apple-touch-icon-120x120.png" />
        <h:link rel="apple-touch-icon" sizes="144x144" href="assets/img/apple-touch-icon-144x144.png" />
        <h:link rel="apple-touch-icon" sizes="152x152" href="assets/img/apple-touch-icon-152x152.png" />
    </head>
    <body >
    <div class="content">
            					<!-- Page Heading Start -->
				<div class="page-heading">
<div class="grid-example">
					<div class="row">
					<h:form rendered="#{jobRequestBean.showList}" >
					<ui:repeat var="jobOffer" value="#{jobOfferBean.jobOffers}">
		
					
					<div class="col-sm-4">
						<div class="widget-content" >
							<div class="widget-content padding">
							<h2>Job Offer<h:outputText value="#{jobOfferBean.jobOffers.indexOf(jobOffer)+1}"></h:outputText></h2>
						<h:outputText value="poste: "></h:outputText>	<h:outputText value="#{jobOffer.name}"></h:outputText>
				<br/><h:outputText value="description: "></h:outputText>	<h:outputText value="#{jobOffer.description}"></h:outputText>
				<br/><h:outputText value="Salary: "></h:outputText>	<h:outputText value="#{jobOffer.salary}"></h:outputText>
				<br/><h:outputText value="cotract: "></h:outputText>	<h:outputText value="#{jobOffer.typeContrat}"></h:outputText>
				<br/><h:outputText value="time: "></h:outputText>	<h:outputText value="#{jobOffer.timeOfJob}"></h:outputText>
				<br/><h:outputText value="department: "></h:outputText>	<h:outputText value="#{jobOffer.department.name}"></h:outputText>
				<div class="toolbar-btn-action">
				<h:commandButton  value="Apply" class="btn btn-success"  action="#{jobRequestBean.doShowForm(jobOffer)}" ></h:commandButton>	
							</div>
							</div>
						</div>
					</div>
					</ui:repeat>
					</h:form>
			
					<h:form role="form" rendered="#{jobRequestBean.showForm}"  >
					<div class="fixed-left login-page">
							<div class="container">
							
		<div class="full-content-center">
			<h2>Job Request form</h2>
			<div class="login-wrap animated flipInX">
				<div class="login-block">
					<br></br>
						<div class="form-group login-input">
						<p:inputText class="form-control text-input" id="name" value="#{jobRequestBean.name}" ><f:validateLength minimum="2" ></f:validateLength> </p:inputText>
						<p:watermark for="name" value="Job offer poste" />
						</div>
						
							<div class="form-group login-input">
						<p:inputText  class="form-control text-input" id="lastName" value="#{jobRequestBean.lastName}" />
						<p:watermark for="lastName" value="Job offer poste" />
						</div>
						
							<div class="form-group login-input">

						<h:inputText class="form-control text-input" id="mail" value="#{jobRequestBean.mail}" />
						<p:watermark for="mail" value="Job offer poste" />
						</div>
									<div class="form-group login-input">

						<h:inputText class="form-control text-input" id="phone" value="#{jobRequestBean.phone}" />
						<p:watermark for="phone" value="Job offer poste" />
						</div>
 						
						<div class="row">
						
						<div class="toolbar-btn-action">
						<div>
						<h:form>
			<h:commandButton  value="Apply" class="btn btn-success" action="#{jobRequestBean.doShowQuizz()}"  ></h:commandButton>	
						
				<h:commandButton  value="retour" class="btn btn-danger"  action="#{jobRequestBean.doHideForm()}" ></h:commandButton>	
							</h:form>
							</div>
							</div>
							
							
						</div>
					
					
				</div>
			</div>
		</div>
	</div></div></h:form>

	<h:form  rendered="#{jobRequestBean.showQuizz}" >
	   <h3 style="margin-top:0">Q 1 - Objects are stored on Stack.</h3>
    <h:panelGrid columns="2" style="margin-bottom:10px" cellpadding="5">
        <p:outputLabel for="Quest1" value="Answer: " />
        <h:selectOneRadio id="Quest1" value="#{jobRequestBean.q1}">
            <f:selectItem itemLabel="True" itemValue="true"   />
            <f:selectItem itemLabel="False" itemValue="Q12" />
        </h:selectOneRadio>
    </h:panelGrid>
  
    	   <h3 style="margin-top:0">Q 2 - Is an empty java file a valid source file?.</h3>
    <h:panelGrid columns="2" style="margin-bottom:10px" cellpadding="5">
        <p:outputLabel for="Quest2" value="Answer:" />
        <h:selectOneRadio id="Quest2" value="#{jobRequestBean.q2}">
            <f:selectItem itemLabel="True" itemValue="Q21" />
            <f:selectItem itemLabel="False" itemValue="true" />
        </h:selectOneRadio>
    </h:panelGrid>
        	   <h3 style="margin-top:0">Q 3 - What is the default value of short variable?</h3>
    <h:panelGrid columns="2" style="margin-bottom:10px" cellpadding="5">
        <p:outputLabel for="Quest3" value="Answer:" />
        <h:selectOneRadio id="Quest3" value="#{jobRequestBean.q3}">
            <f:selectItem itemLabel="0.0" itemValue="Q31" />
            <f:selectItem itemLabel="0" itemValue="Q32" />
            <f:selectItem itemLabel="null" itemValue="true" />
            <f:selectItem itemLabel="not defined" itemValue="Q34" />
        </h:selectOneRadio>
    </h:panelGrid>
            	   <h3 style="margin-top:0">Q4 - Dynamic binding uses which information for binding?</h3>
    <h:panelGrid columns="2" style="margin-bottom:10px" cellpadding="5">
        <p:outputLabel for="Quest4" value="Answer:" />
        <h:selectOneRadio id="Quest4" value="#{jobRequestBean.q4}">
            <f:selectItem itemLabel="Type" itemValue="Q41" />
            <f:selectItem itemLabel="Object" itemValue="Q42" />
            <f:selectItem itemLabel="Both" itemValue="true" />
            <f:selectItem itemLabel="No one defined" itemValue="Q44" />
        </h:selectOneRadio>
    </h:panelGrid>
                	   <h3 style="margin-top:0">Q 5 - Is it necessary that each try block must be followed by a catch block?s</h3>
    <h:panelGrid columns="2" style="margin-bottom:10px" cellpadding="5">
        <p:outputLabel for="Quest5" value="Answer:" />
        <h:selectOneRadio id="Quest5" value="#{jobRequestBean.q5}">
            <f:selectItem itemLabel="True" itemValue="true" />
            <f:selectItem itemLabel="false" itemValue="Q52" />

        </h:selectOneRadio>
        </h:panelGrid>
         <h3 style="margin-top:0">Q 6 - We can use reserved keywords as identifiers in C# by prefixing them with @ character?</h3>
    <h:panelGrid columns="2" style="margin-bottom:10px" cellpadding="5">
        <p:outputLabel for="Quest6" value="Answer:" />
        <h:selectOneRadio id="Quest6" value="#{jobRequestBean.q6}">
            <f:selectItem itemLabel="True" itemValue="true" />
            <f:selectItem itemLabel="False" itemValue="Q62" />
        </h:selectOneRadio>
    </h:panelGrid>
    	   <h3 style="margin-top:0">Q 7 - Is an empty java file a valid source file?.</h3>
    <h:panelGrid columns="2" style="margin-bottom:10px" cellpadding="5">
        <p:outputLabel for="Quest7" value="Answer:" />
        <h:selectOneRadio id="Quest7" value="#{jobRequestBean.q7}">
            <f:selectItem itemLabel="True" itemValue="true" />
            <f:selectItem itemLabel="False" itemValue="Q72" />
        </h:selectOneRadio>
    </h:panelGrid>
        	   <h3 style="margin-top:0">Q 8 - What is the default value of short variable?</h3>
    <h:panelGrid columns="2" style="margin-bottom:10px" cellpadding="5">
        <p:outputLabel for="Quest8" value="Answer:" />
        <h:selectOneRadio id="Quest8" value="#{jobRequestBean.q8}">
            <f:selectItem itemLabel="0.0" itemValue="Q81" />
            <f:selectItem itemLabel="0" itemValue="true" />
            <f:selectItem itemLabel="null" itemValue="Q83" />
            <f:selectItem itemLabel="not defined" itemValue="Q84" />
        </h:selectOneRadio>
    </h:panelGrid>
            	   <h3 style="margin-top:0">Q9 - Dynamic binding uses which information for binding?</h3>
    <h:panelGrid columns="2" style="margin-bottom:10px" cellpadding="5">
        <p:outputLabel for="Quest9" value="Answer:" />
        <h:selectOneRadio id="Quest9" value="#{jobRequestBean.q9}">
            <f:selectItem itemLabel="Type" itemValue="true" />
            <f:selectItem itemLabel="Object" itemValue="Q92" />
            <f:selectItem itemLabel="Both" itemValue="Q93" />
            <f:selectItem itemLabel="No one defined" itemValue="Q94" />
        </h:selectOneRadio>
    </h:panelGrid>
                	   <h3 style="margin-top:0">Q 10 - Is it necessary that each try block must be followed by a catch block?s</h3>
    <h:panelGrid columns="2" style="margin-bottom:10px" cellpadding="5">
        <p:outputLabel for="Quest10" value="Answer:" />
        <h:selectOneRadio id="Quest10" value="#{jobRequestBean.q10}">
            <f:selectItem itemLabel="True" itemValue="true" />
            <f:selectItem itemLabel="false" itemValue="Q102" />

        </h:selectOneRadio>
    </h:panelGrid>
    <div class="row">
						
						<div class="toolbar-btn-action">
    				<h:commandButton  value="Apply" class="btn btn-success"  action="#{jobRequestBean.doAddJobrequest()}" ></h:commandButton>	
    </div></div>
	</h:form>
				</div>
					</div>
					</div>
						
					</div>
					</body>
					</html>